package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.entity.SysDevice;
import com.qmth.sop.business.mapper.DeviceMonitorMapper;
import com.qmth.sop.business.service.DeviceMonitorService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author dhshu
 * @date:
 */
@Service
public class DeviceMonitorServiceImpl extends ServiceImpl<DeviceMonitorMapper, SysDevice> implements DeviceMonitorService {


    @Override
    public Map<String, Object> count(Long supplierId, String model) {
        return this.baseMapper.count(supplierId, model);
    }

    @Override
    public List<Map<String, Object>> countByModel(Long supplierId) {
        return this.baseMapper.countByModel(supplierId);
    }

    @Override
    public Map<String, Object> countByServiceUnit() {
        Map<String, Object> map = this.baseMapper.countByServiceUnit();
        Map<String, Object> count = this.count(null, null);
        map.putAll(count);
        return map;
    }

    @Override
    public List<Map<String, Object>> countByServiceUnitDetail() {
        return this.baseMapper.countByServiceUnitDetail();
    }
}
