package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.common.enums.SopAnalyseGroupEnum;
import com.qmth.sop.common.enums.SopAnalyseSortEnum;

import java.util.List;
import java.util.Map;

public interface SopAnalyseService extends IService<TBSopInfo> {
    List<TBService> list(Long startTime,Long endTime);

    List<Map<String, Object>> overview(Long serviceId, SopAnalyseGroupEnum group);

    List<Map<String, Object>> processing(Long serviceId, SopAnalyseGroupEnum group, SopAnalyseSortEnum sort);

    Map<Object, List<Map<String, Object>>> trend(Long serviceId);

    List<Map<String, Object>> attendance(Long serviceId, SopAnalyseGroupEnum group);
}
