package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.result.TFFlowLogResult;
import com.qmth.sop.business.entity.TFFlowLog;
import com.qmth.sop.business.mapper.TFFlowLogMapper;
import com.qmth.sop.business.service.TFFlowLogService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 流程流水表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2023-07-17
 */
@Service
public class TFFlowLogServiceImpl extends ServiceImpl<TFFlowLogMapper, TFFlowLog> implements TFFlowLogService {

    /**
     * 根据实体id查询
     *
     * @param objectId
     * @return
     */
    @Override
    public List<TFFlowLogResult> findByObjectId(Long objectId) {
        return this.baseMapper.findByObjectId(objectId);
    }
}
