package com.qmth.sop.common.util;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.IOUtils;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class FileUtil {
    public static String fileToBase64(File imgFile) {
        String fileName=imgFile.getName();
        String suff=fileName.substring(fileName.lastIndexOf(".")+1).toLowerCase();
        InputStream is = null;
        byte[] base64Byte;
        try {
            base64Byte = new byte[0];
            byte[] imgByte;
            is = new FileInputStream(imgFile);
            imgByte = IOUtils.toByteArray(is);
            base64Byte = Base64.encodeBase64(imgByte);
        } catch (IOException e) {
            throw new RuntimeException(e);
        } finally {
            if (is != null)
                try {
                    is.close();
                } catch (IOException e) {
                }
        }
        return new String(base64Byte);
    }

    public static void deleteFile(String path) {
        File file = new File(path);
        deleteFile(file);
    }

    public static void deleteFile(File file) {
        if (file.isFile() && file.exists()) {
            file.delete();
        }
    }
}
